Index: channels/chan_iax2.c
===================================================================
--- channels/chan_iax2.c	(revision 432806)
+++ channels/chan_iax2.c	(working copy)
@@ -18,7 +18,6 @@
 
 /*! \file
  *
- * \brief Implementation of Inter-Asterisk eXchange Version 2
  *        as specified in RFC 5456
  *
  * \author Mark Spencer <markster@digium.com>
@@ -12365,8 +12364,9 @@
 	/* If the host is already unreachable then use the unreachable interval instead */
 	if (peer->lastms < 0)
 		peer->pokeexpire = iax2_sched_add(sched, peer->pokefreqnotok, iax2_poke_noanswer, peer_ref(peer));
+	/* If host is reachable then use multiples of call pingtime to allow for frame retries. */
 	else
-		peer->pokeexpire = iax2_sched_add(sched, DEFAULT_MAXMS * 2, iax2_poke_noanswer, peer_ref(peer));
+		peer->pokeexpire = iax2_sched_add(sched, iaxs[peer->callno]->pingtime * 2 * max_retries, iax2_poke_noanswer, peer_ref(peer));
 
 	if (peer->pokeexpire == -1)
 		peer_unref(peer);
